Summary:	Utility to get/set (E)IDE/SATA/SAS device parameters
Summary(de.UTF-8):	Dienstprogramm zum Einstellen von (E)IDE/SATA/SAS-Parametern
Summary(es.UTF-8):	Utilitario para ajustar parámetros de desempeño (E)IDE/SATA/SAS
Summary(fr.UTF-8):	Utilitaire pour ajuster les paramétres de performances des unités (E)IDE/SATA/SAS
Summary(pl.UTF-8):	Narzędzie do odczytu i ustawiania parametrów urządzeń (E)IDE/SATA/SAS
Summary(pt_BR.UTF-8):	Utilitário para ajustar parâmetros de performance (E)IDE/SATA/SAS
Summary(ru.UTF-8):	Утилита для показа/настройки параметров жестких дисков
Summary(tr.UTF-8):	(E)IDE/SATA/SAS sabit disklerle ilgili bazı parametreleri değiştirir
Summary(uk.UTF-8):	Утиліта для показу/установки параметрів жорстких дисків
Name:		hdparm
Version:	9.65
Release:	1
License:	BSD
Group:		Applications/System
Source0:	https://downloads.sourceforge.net/hdparm/%{name}-%{version}.tar.gz
# Source0-md5:	6d6d039d61ec995b1ec72ddce0b1853b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.8.pl
Patch0:		%{name}-man-patch
Patch1:		%{name}-ioctl.patch
URL:		http://sourceforge.net/projects/hdparm/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This is a utility for setting Hard Drive parameters. It is useful for
tweaking performance and for doing things like spinning down hard
drives to conserve power.

%description -l de.UTF-8
Dies ist ein Utility zum Einstellen der Festplatten-Parameter,
nützlich zum Feintunen der Leistung und zum Verlangsamen der
Drehgeschwindigkeit, wenn Strom gespart werden soll.

%description -l es.UTF-8
Este es un utilitario para ajustar parámetros del disco duro. Es útil
para mejorar el desempeño y para hacer cosas como diminuir la rotación
del disco para conservar energía.

%description -l fr.UTF-8
Utilitaire pour configurer les paramêtres du disque dur. Utile pour
améliorer les performances et pour ralentir les disques durs afin
d'économiser l'énergie.

%description -l pl.UTF-8
Pakiet ten zawiera program pozwalający manipulować różnymi parametrami
dysków (E)IDE, SATA i SAS. Przydaje się, gdy chcemy polepszyć
wydajność naszego dysku (E)IDE (na przykład opcje -u, -d), zatrzymać
aby nie zużywał prądu na laptopie, itd. Przed użyciem należy zapoznać
się ze stroną manuala.

%description -l pt_BR.UTF-8
Este é um utilitário para ajustar parâmetros do disco rígido. Ele é
útil para melhorar a performance e para fazer coisas como diminuir a
rotação do disco para conservar energia.

%description -l ru.UTF-8
Это полезная системная утилита для установки параметров жестких дисков
(E)IDE/SATA/SAS. Например, hdparm можно использовать для настройки
производительности и для остановки вращения дисков с целью экономии
энергии.

%description -l tr.UTF-8
Bu program ile sabit disk parametrelerini değiştirebilirsiniz.
Sistemin performansını arttırmak ya da örneğin disk hızını azaltarak
daha az güç harcamak için kullanabilirsiniz.

%description -l uk.UTF-8
Це корисна системна утиліта для установки параметрів жорстких дисків
(E)IDE/SATA/SAS. Наприклад, hdparm можна використовувати для настройки
швидкості обміну даними і для зупинки обертання дисків з метою
збереження енергії.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# precompiled binary
%{__rm} contrib/fix_standby

mv wiper/README.txt wiper/README-wiper.txt

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	STRIP=:

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{man8,pl/man8}} \
	$RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

install -p hdparm $RPM_BUILD_ROOT%{_sbindir}
cp -p hdparm.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p contrib/idectl $RPM_BUILD_ROOT%{_sbindir}
install -p contrib/ultrabayd $RPM_BUILD_ROOT%{_sbindir}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/rc.hdparm
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/hdparm
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/pl/man8/hdparm.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc contrib/README Changelog LICENSE.TXT README.acoustic TODO
%doc wiper/wiper.sh wiper/README-wiper.txt
%attr(755,root,root) %{_sbindir}/hdparm
%attr(755,root,root) %{_sbindir}/idectl
%attr(755,root,root) %{_sbindir}/ultrabayd
%attr(754,root,root) /etc/rc.d/rc.hdparm
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hdparm
%{_mandir}/man8/hdparm.8*
%lang(pl) %{_mandir}/pl/man8/hdparm.8*
%changelog
* Thu Jul 20 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hdparm.git;a=log;h=master

* Sun Jul 09 2023 Marcin Krol <hawk@tld-linux.org> 55af20f
- updated to 9.65

* Fri Apr 30 2021 Jan Palus <atler@pld-linux.org> 6e07b24
- don't strip binary; rel 2

* Fri Apr 30 2021 Jan Palus <atler@pld-linux.org> dc14aa6
- up to 9.61

* Wed Dec 09 2020 Jan Palus <atler@pld-linux.org> 73c86ec
- up to 9.60

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> 492ec5b
- updated to 9.58

* Wed Oct 17 2018 Adam Gołębiowski <adamg@pld-linux.org> a744b7c
- updated to 9.57

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> bace39e
- updated to 9.56

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c39df7d
- up to 9.52

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2424dc2
- Update to 9.50

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 43e5d4d
- updated to 9.48

* Mon Jun 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 735eed1
- updated to 9.47

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> a1a5bde
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> e85abfd
- updated to 9.43

* Tue Feb 07 2012 Adam Gołębiowski <adamg@pld-linux.org> 4a44b42
- updated to 9.39

* Mon Jan 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a434a8
- up to 9.38

* Wed Aug 10 2011 Elan Ruusamäe <glen@pld-linux.org> 57191c7
- allow using disk labels from /dev/disk/by-id

* Thu Jul 21 2011 Elan Ruusamäe <glen@pld-linux.org> 3a9ab49
- package wiper.sh (ssd wiper program, see http://www.anandtech.com/print/2738 for good article)

* Tue Jan 25 2011 lisu <lisu@pld-linux.org> 975f8de
- up to 9.37
- __rm macro

* Thu Nov 11 2010 lisu <lisu@pld-linux.org> 8877bd1
- 9.36

* Wed Oct 20 2010 lisu <lisu@pld-linux.org> 3c8f508
- 9.35

